mhalhead

Upgrading AF application fails - Could not load file or assembly 'OSIsoft.PISDK'

Discussion created by mhalhead Champion on Jun 4, 2014
Latest reply on Sep 3, 2014 by cmanhard

Hi,

 

I'm upgrading a custom AF application from 2.5 to 2.6 unfortunately the asp.net web service fails to load with the following error (I haven't upload the full trace as it take up too much space).

 
Could not load file or assembly 'OSIsoft.PISDK' or one of its dependencies. An attempt was made to load a program with an incorrect format. 

At this point all I've done is change the assembly reference.

 

If I force the server side to target x86 rather than "Any CPU" then the application runs fine. One of my engineers has hit the same problem on a different application (different dev computer, ...).

 

I have done a search on the forms but I haven't seen this error.

 

We are targeting the .NET 4.5 framework.

 

Any ideas?

Outcomes